using VT.FW.DB;
using Mall.Common.Enum.User;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Entity.User
{
    /// <summary>
    /// 轮播图表实体
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Mall_Nav
    {
        /// <summary>
        /// 导航编号
        /// </summary>        
        public int Id
        {
            get;
            set;
        }

        /// <summary>
        /// 标题
        /// </summary>        
        public string NavName
        {
            get;
            set;
        }

        /// <summary>
        /// 链接
        /// </summary>        
        public string NavLink
        {
            get;
            set;
        }

        /// <summary>
        /// 图片
        /// </summary>        
        public string NavImg
        {
            get;
            set;
        }

        /// <summary>
        /// 商户号Id
        /// </summary>        
        public int? TenantId
        {
            get;
            set;
        }

        /// <summary>
        /// 小程序Id
        /// </summary>        
        public int? MallBaseId
        {
            get;
            set;
        }

        /// <summary>
        /// 创建时间
        /// </summary>        
        public DateTime? CreateDate
        {
            get;
            set;
        }

        /// <summary>
        /// 删除状态
        /// </summary>        
        public int? Status
        {
            get;
            set;
        }
    }
}
